Subject: bug#70429: agate service broken

From: Christopher Howard <[email-masked]>
Date: Tue, 16 Apr 2024 14:33:25 -0800

Hello, I recently updated a server system which hadn't been updated for a long time, and my agate service is now broken. I will try below to include all the relevant data:

* Service fails to start. Herd does not give a reason for the failure when I do this manually.

* agate.log shows this error message:

> 2024-04-16 13:35:52 Unrecognized option: 'cert'

* Here is the service configuration I am using:

``` guile scheme
(service agate-service-type
          	  (agate-configuration
          	   (content "/srv/gemini")
          	   (cert "/srv/gemini-tls/cert.pem")
          	   (key "/srv/gemini-tls/key.rsa")
		   (log-ip? #f)))
```

* The working system generation:

> Generation 24	Aug 07 2023 22:24:43
>   file name: /var/guix/profiles/system-24-link
>   canonical file name: /gnu/store/nq8bmbmr4wa7q7pndaxfkxi8qrzna4gs-system
>   label: GNU with Linux-Libre 6.3.13
>   bootloader: grub
>   root device: UUID: ce7cdde8-a12b-4f1d-a605-d55aa31f92fd
>   kernel: /gnu/store/224j20diq0qgxqzmh1hgsp35zi3qn9jc-linux-libre-6.3.13/bzImage
>   channels:
>     guix:
>       repository URL: https://git.savannah.gnu.org/git/guix.git
>       branch: master
>       commit: d43b53c476b4e9322b31274b788e851d37e72302
>   configuration file: /gnu/store/0c11jz30v8mkzqk0gzd93abp7z6x0637-configuration.scm

* The failing system generation

> Generation 25	Apr 16 2024 13:26:31	(current)
>   file name: /var/guix/profiles/system-25-link
>   canonical file name: /gnu/store/4wng095zf7j26pmr3hkq2pcbw3hjs6ai-system
>   label: GNU with Linux-Libre 6.8.5
>   bootloader: grub
>   root device: UUID: ce7cdde8-a12b-4f1d-a605-d55aa31f92fd
>   kernel: /gnu/store/4f7nszk7znn8knhs17c7hl1nyklx7s4s-linux-libre-6.8.5/bzImage
>   channels:
>     guix:
>       repository URL: https://git.savannah.gnu.org/git/guix.git
>       branch: master
>       commit: a8353e9d6b34fd8d42d2e8f14ce844849fe9c293
>   configuration file: /gnu/store/0rd73nfs8gvdadp6ja65779v2h8yx3kg-configuration.scm

* My system information:

```
christopher@galadriel ~$ neofetch --stdout
christopher@galadriel 
--------------------- 
OS: Guix System x86_64 
Host: OptiPlex 7010 01 
Kernel: 6.8.5-gnu 
Uptime: 1 hour, 25 mins 
Packages: 59 (guix-system), 38 (guix-user) 
Shell: bash 5.1.16 
Terminal: /dev/pts/0 
CPU: Intel i5-3570 (4) @ 3.800GHz 
GPU: Intel HD Graphics 
Memory: 437MiB / 15923MiB 
```

-- 
📛 Christopher Howard
🚀 gemini://gem.librehacker.com
🌐 http://gem.librehacker.com

בראשית ברא אלהים את השמים ואת הארץ